Bug 857283 - (CVE-2012-4425) CVE-2012-4425 spice-gtk/glib: Possible privilege escalation via un-sanitized environment variable
CVE-2012-4425 spice-gtk/glib: Possible privilege escalation via un-sanitized ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120912,repor...
: Security
Depends On: 854819 854822 854823 854825 857227 857228
Blocks: 847403
  Show dependency treegraph
 
Reported: 2012-09-13 22:44 EDT by Huzaifa S. Sidhpurwala
Modified: 2015-07-31 02:53 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 689155 None None None 2012-09-30 09:04:20 EDT

  None (edit)
Description Huzaifa S. Sidhpurwala 2012-09-13 22:44:06 EDT
It was discovered that the spice-gtk setuid helper application, spice-client-glib-usb-acl-helper, did not clear the environment variables read by the libraries it uses. A local attacker could possibly use this flaw to escalate their privileges by setting specific environment variables before running the helper application. 

This flaw is similar to  CVE-2012-3524
Comment 2 Huzaifa S. Sidhpurwala 2012-09-13 22:54:44 EDT
Created spice-gtk tracking bugs for this issue

Affects: fedora-all [bug 857228]
Comment 3 Huzaifa S. Sidhpurwala 2012-09-13 22:58:56 EDT
Acknowledgement:

Red Hat would like to thank Sebastian Krahmer of the SUSE Security Team for
reporting this issue.
Comment 4 Huzaifa S. Sidhpurwala 2012-09-13 23:01:01 EDT
Reference:

http://seclists.org/oss-sec/2012/q3/470
Comment 6 Huzaifa S. Sidhpurwala 2012-09-13 23:23:32 EDT
Created glib2 tracking bugs for this issue

Affects: fedora-all [bug 857227]
Comment 7 errata-xmlrpc 2012-09-17 12:54:06 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1284 https://rhn.redhat.com/errata/RHSA-2012-1284.html

Note You need to log in before you can comment on or make changes to this bug.